Bug 1575515 - Options related to system language and keyboard set during install process to be persistent at first login.
Summary: Options related to system language and keyboard set during install process to...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 07:36 UTC by ricky.tigg
Modified: 2019-05-28 23:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:53:59 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-initial-setup issues 70 0 None None None 2019-04-10 15:43:26 UTC

Description ricky.tigg 2018-05-07 07:36:11 UTC
Description of problem: While installation from image file is accomplished, system language and keyboard are automatically set to installation defaults at the very first login session.

Version-Release number of component: Fedora-Workstation-Live-x86_64-28-1.1.iso

Steps to Reproduce: Install last stable release from ISO file selecting Finnish as system language and keyboard, then log in the default session (Gnome).

Actual results: Both system language and keyboard are set to American English. Package update can be proceed, but after the first system reboot it is reset so same operation has to be renewed. System has to be reboot to workaround the issue.

Expected results: Options related to system language and keyboard set during install process to be persistent at first login. No reboot to solve the issue.

Comment 1 Benjamin Berg 2019-04-10 15:42:50 UTC
The problem is that the locale is set by gnome-session in the shell script wrapper /usr/bin/gnome-session. This runs before the configuration is copied into the users home directory by gnome-initial-setup-copy-worker.

The way to fix this is to let gnome-initial-setup-copy-worker resolve the environment variables in the same way and set them using the Setenv dbus call on the session manager.

Comment 2 Ben Cotton 2019-05-02 19:41:52 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 23:53:59 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.